// service
export const SERVICE_NAME = 'ad';

// grpc
export const GRPC_PACKAGE_NAME = 'ad';
export const GRPC_SERVICE_NAME = 'AdService';

// messaging
export const AD_CREATED_ROUTING_KEY = 'ad.created';

// configuration
export const SERVICE_CONFIGURATION_SET_QUEUE = 'ad-configuration-set';
export const SERVICE_CONFIGURATION_DELETE_QUEUE = 'ad-configuration-delete';
export const SERVICE_CONFIGURATION_PROPAGATE_QUEUE =
  'ad-configuration-propagate';

// health
export const GRPC_HEALTH_PACKAGE_NAME = 'health';
export const HEALTH_AD_REPOSITORY = 'AdRepository';
export const HEALTH_CRITICAL_LOGGING_KEY = 'logging.ad.health.crit';
